gateway:
  name: "sample-gateway"
  streamingDomains:
    - name: "sample-domain"
      kafkaCluster:
        name: "sample-cluster"
        bootstrapServers:
          - endpoint: "PLAINTEXT://localhost:9092"
            id: plaintext
        nodeIdRanges:
          - name: "default"
            start: 0
            end: 2
  routes:
    - name: "sample-route"
      endpoint: "localhost:9192"
      brokerIdentificationStrategy:
        type: port
      streamingDomain:
        name: "sample-domain"
        bootstrapServerId: "plaintext"
      security:
        auth: "passthrough"
  admin:
    endpoints:
      metrics: true
  advanced:
    useIoUring: false
